MCA_SET_DMA_MODE(9)

NAME
mca_set_dma_mode - set the DMA mode

SYNOPSIS

void mca_set_dma_mode (unsigned int dmanr, unsigned int mode);

ARGUMENTS

dmanr
    DMA channel

mode
    mode to set

DESCRIPTION

The DMA controller supports several modes. The mode values you can

SET ARE

 MCA_DMA_MODE_READ when reading from the DMA device.

 MCA_DMA_MODE_WRITE to writing to the DMA device.

 MCA_DMA_MODE_IO to do DMA to or from an I/O port.

 MCA_DMA_MODE_16 to do 16bit transfers.